Skip to main content
`Ctrl`+`K`

# MultiGraph.degree

property MultiGraph.degree

  A DegreeView for the Graph as G.degree or G.degree().

  The node degree is the number of edges adjacent to the node. The weighted node degree is the sum of the edge weights for edges incident to that node.

  This object provides an iterator for (node, degree) as well as lookup for the degree for a single node.

  Parameters:
    nbunch single node, container, or all nodes (default= all nodes)

      The view will only report edges incident to these nodes.

    weight string or None, optional (default=None)

      The name of an edge attribute that holds the numerical value used as a weight. If None, then each edge has weight 1. The degree is the sum of the edge weights adjacent to the node.

  Returns:
    MultiDegreeView or int

      If multiple nodes are requested (the default), returns a `MultiDegreeView` mapping nodes to their degree. If a single node is requested, returns the degree of the node as an integer.

  Examples

      >>> G = nx.Graph()  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> nx.add_path(G, [0, 1, 2, 3])
      >>> G.degree(0)  # node 0 with degree 1
      1
      >>> list(G.degree([0, 1]))
      [(0, 1), (1, 2)]